package org.jeecg.modules.stm.page.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.stm.page.entity.PageMetricconfig;
import org.jeecg.modules.stm.page.mapper.PageMetricconfigMapper;
import org.jeecg.modules.stm.page.service.IPageMetricconfigService;
import org.jeecg.modules.stm.page.vo.PageMetricMoniVo;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;
/**
 * @Description: 风险监测指标配置
 * @Author: jeecg-boot
 * @Date:   2024-01-10
 * @Version: V1.0
 */
@Service
public class PageMetricconfigServiceImpl extends ServiceImpl<PageMetricconfigMapper, PageMetricconfig> implements IPageMetricconfigService {

    @Override
    public List<PageMetricMoniVo> queryPageMetricconfig() {
        QueryWrapper<PageMetricconfig> rateStdQueryWrapper  = new QueryWrapper<>();
        List<PageMetricMoniVo> list  = this.baseMapper.queryPageMetricconfig();
        if(CollectionUtils.isEmpty(list)){
            return new ArrayList<>();
        }
        return list;
    }
}
